Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.knowgate.hipergate
Class Thesauri

    java.lang.Object
      com.knowgate.hipergate.Thesauri

    public class Thesauri

extends java.lang.Object

Constructor Summary
`Thesauri()`

Method Summary
`static java.lang.String` | `createRootTerm(JDCConnection oConn, java.lang.String sTxTerm, java.lang.String sTxTermPlural, java.lang.String sDeTerm, java.lang.String sIdLanguage, java.lang.String sIdScope, int iIdDomain, java.lang.String sGuWorkArea)` Create Root Term
`static java.lang.String` | `createSynonym(JDCConnection oConn, java.lang.String sGuMainTerm, java.lang.String sTxTerm, java.lang.String sTxTermPlural, java.lang.String sDeTerm)`
`static java.lang.String` | `createTerm(JDCConnection oConn, java.lang.String sGuParent, java.lang.String sTxTerm, java.lang.String sTxTermPlural, java.lang.String sDeTerm, java.lang.String sIdLanguage, java.lang.String sIdScope, int iIdDomain)` Create Term
`static void` | `delete(JDCConnection oConn, java.lang.String sGuTerm)` Delete a Term and all its childs
`static java.lang.String` | `getTerm(JDCConnection oConn, int iDomainId, int iTermId, int iLevel)` Get Term GUID given its numeric identifier and level

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Thesauri

    public Thesauri()

Method Detail

### createRootTerm

    public static java.lang.String createRootTerm(JDCConnection oConn,
                                                  java.lang.String sTxTerm,
                                                  java.lang.String sTxTermPlural,
                                                  java.lang.String sDeTerm,
                                                  java.lang.String sIdLanguage,
                                                  java.lang.String sIdScope,
                                                  int iIdDomain,
                                                  java.lang.String sGuWorkArea)
                                           throws java.sql.SQLException

  Create Root Term

  Parameters:
    `oConn` - Database Connection
    `sTxTerm` - Term Text Singular
    `sTxTerm` - Term Text Plural
    `sDeTerm` - Term Contextual Description
    `sIdLanguage` - Language
    `sIdScope` - Scope
    `iIdDomain` - Domain Numeric Identifier (from k_domains)
    `sGuWorkArea` - WorkArea GUID
  Returns:
    GUID for new term
  Throws:
    `java.sql.SQLException`

### createTerm

    public static java.lang.String createTerm(JDCConnection oConn,
                                              java.lang.String sGuParent,
                                              java.lang.String sTxTerm,
                                              java.lang.String sTxTermPlural,
                                              java.lang.String sDeTerm,
                                              java.lang.String sIdLanguage,
                                              java.lang.String sIdScope,
                                              int iIdDomain)
                                       throws java.sql.SQLException

  Create Term

  Parameters:
    `oConn` - Database Connection
    `sGuParent` - Parent Term
    `sTxTerm` - Term Text Singular
    `sTxTermPlural` - Term Text Plural
    `sDeTerm` - Term Contextual Description
    `sIdLanguage` - Language
    `sIdScope` - Scope
    `iIdDomain` - Domain Numeric Identifier (from k_domains)
  Returns:
    GUID for new term
  Throws:
    `java.sql.SQLException`

### delete

    public static void delete(JDCConnection oConn,
                              java.lang.String sGuTerm)
                       throws java.sql.SQLException

  Delete a Term and all its childs

  Parameters:
    `sGuTerm` - Term GUID
  Throws:
    `java.sql.SQLException`

### createSynonym

    public static java.lang.String createSynonym(JDCConnection oConn,
                                                 java.lang.String sGuMainTerm,
                                                 java.lang.String sTxTerm,
                                                 java.lang.String sTxTermPlural,
                                                 java.lang.String sDeTerm)
                                          throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### getTerm

    public static java.lang.String getTerm(JDCConnection oConn,
                                           int iDomainId,
                                           int iTermId,
                                           int iLevel)
                                    throws java.sql.SQLException

  Get Term GUID given its numeric identifier and level

  Parameters:
    `oConn` - Database Connection
    `iDomainId` - Term Domain identifier
    `iTermId` - Term numeric identifier
    `iLevel` - Term level [0..9]
  Returns:
    Term GUID or null if no term with such numeric identifier and level was found
  Throws:
    `java.sql.SQLException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD